Organisation
List encryption keys
List encryption keys
curl --request GET \
--url https://api.atlan.com/registry/v1/organisations/{org_id}/encryption-keys \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.atlan.com/registry/v1/organisations/{org_id}/encryption-keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.atlan.com/registry/v1/organisations/{org_id}/encryption-keys"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"created_at": "<string>",
"encryption_key_id": "<string>",
"encryption_key_mode": "managed",
"encryption_key_status": "pending",
"key_provider": "<string>",
"key_ref": "<string>",
"location": "<string>",
"updated_at": "<string>",
"activated_at": "<string>",
"health": {
"checked_at": "<string>",
"is_healthy": true,
"failed_check": "<string>",
"message": "<string>"
},
"is_current": true,
"last_verification": {
"checks": [
{
"check_id": "<string>",
"is_passed": true,
"message": "<string>"
}
],
"is_passed": true,
"checked_at": "<string>"
},
"setup": {
"atlan_principal_arn": "<string>",
"template": "<unknown>"
},
"verified_at": "<string>"
}
],
"page": {
"limit": 1,
"offset": 1,
"total": 1
}
}{
"code": "alg_mismatch",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "access_denied",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "not_found",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "internal_error",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "auth_unavailable",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "request_timeout",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Path Parameters
⌘I
List encryption keys
curl --request GET \
--url https://api.atlan.com/registry/v1/organisations/{org_id}/encryption-keys \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.atlan.com/registry/v1/organisations/{org_id}/encryption-keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.atlan.com/registry/v1/organisations/{org_id}/encryption-keys"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"created_at": "<string>",
"encryption_key_id": "<string>",
"encryption_key_mode": "managed",
"encryption_key_status": "pending",
"key_provider": "<string>",
"key_ref": "<string>",
"location": "<string>",
"updated_at": "<string>",
"activated_at": "<string>",
"health": {
"checked_at": "<string>",
"is_healthy": true,
"failed_check": "<string>",
"message": "<string>"
},
"is_current": true,
"last_verification": {
"checks": [
{
"check_id": "<string>",
"is_passed": true,
"message": "<string>"
}
],
"is_passed": true,
"checked_at": "<string>"
},
"setup": {
"atlan_principal_arn": "<string>",
"template": "<unknown>"
},
"verified_at": "<string>"
}
],
"page": {
"limit": 1,
"offset": 1,
"total": 1
}
}{
"code": "alg_mismatch",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "access_denied",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "not_found",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "internal_error",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "auth_unavailable",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "request_timeout",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}